Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156790 - option for server-no-x11 install (eg barebones install for routers etc)
Summary: option for server-no-x11 install (eg barebones install for routers etc)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 09:53 UTC by Dan Hollis
Modified: 2013-01-10 01:18 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-04-11 21:20:56 UTC


Attachments (Terms of Use)

Description Dan Hollis 2005-05-04 09:53:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041217

Description of problem:
Would be nice for a server-no-x11 install, for eg servers.

At the moment this is impossible. No matter how much stuff you omit, the installer always seems to want to install x11 and a bunch of related packages.

It would be nice to have an install option for 'everything EXCEPT x11'. No gnome, no kde, no qt, no gtk, nothing which depends on x11 at all.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Try to install a system without x11.
2.Fail.
3.Shake fists and curse.
  

Actual Results:  A bunch of x11 crap gets installed.

Expected Results:  No x11 and no x11 dependent packages should get installed.

Additional info:

This may require changing some packages, as there are packages which "require" x11 for no good reason at all, or could at least have their x11-dependent components split out into subpackages.

At least openssh has been split up into x11 and non-x11 dependent parts. There are some others which need to be split up as well.

Comment 1 Elliot Lee 2005-05-11 23:10:32 UTC
everything-except-x11 install is too much of a pain to implement, but attach a
patch here for comps.xml that adds a desired server-without-x11 group, and I'll
merge it in.

Comment 2 Dan Hollis 2005-06-16 22:11:09 UTC
i made a minimal install of fedora onto a 1gb compactflash card, then pared it
down until I got the smallest list of packages I could and still get a
reasonably bootable system:

Fedora Core release 3 (Heidelberg)

acl-2.2.23-5
ash-0.3.8-20
attr-2.4.16-3
basesystem-8.0-4
bash-3.0-18
bc-1.06-17.1
beecrypt-3.1.0-6
bind-libs-9.2.5-1
bind-utils-9.2.5-1
binutils-2.15.92.0.2-5
bzip2-1.0.2-13.FC3.1
bzip2-libs-1.0.2-13.FC3.1
checkpolicy-1.17.5-1.2
chkconfig-1.3.11.1-1
comps-3-0.20041103
coreutils-5.2.1-31
cpio-2.5-7
cracklib-2.7-28
cracklib-dicts-2.7-28
crontabs-1.10-7
cyrus-sasl-2.1.19-3
cyrus-sasl-md5-2.1.19-3
cyrus-sasl-plain-2.1.19-3
db4-4.2.52-6
device-mapper-1.00.19-2
dhclient-3.0.1-42_FC3
diffutils-2.8.1-12
e2fsprogs-1.36-1.FC3.1
ed-0.2-36
elfutils-0.96-1
elfutils-libelf-0.96-1
ethtool-1.8-4
fedora-logos-1.1.29-1
fedora-release-3-8
file-4.12-1.FC3.1
filesystem-2.3.0-1
findutils-4.1.20-7
gawk-3.1.3-9
gdbm-1.8.0-24
gettext-0.14.1-12
glib2-2.4.8-1.fc3
glibc-2.3.5-0.fc3.1
glibc-common-2.3.5-0.fc3.1
gmp-4.1.4-3
gpg-pubkey-1cddbca9-3f9da14c
gpg-pubkey-30c9ecf8-3f9da3f7
gpg-pubkey-4f2a6fd2-3f9d9d3b
gpg-pubkey-897da07a-3c979a7f
gpg-pubkey-db42a60e-37ea5438
gpg-pubkey-e418e3aa-3f439953
grep-2.5.1-31.4
groff-1.18.1.1-3
grub-0.95-3
gzip-1.3.3-13
hdparm-5.7-2
hotplug-2004_04_01-8.1
hwdata-0.145-1
info-4.8-2.1
initscripts-7.93.7-1
iproute-2.6.9-3
iptables-1.2.11-3.1.FC3
iptstate-1.3-4
iputils-20020927-16
kbd-1.12-2
kernel-2.6.11-1.27_FC3
kernel-2.6.9-1.667
krb5-libs-1.3.6-5
less-382-4
libacl-2.2.23-5
libattr-2.4.16-3
libgcc-3.4.3-22.fc3
libselinux-1.19.1-8
libsepol-1.1.1-2
libstdc++-3.4.3-22.fc3
libtermcap-2.0.8-39
libuser-0.52.5-1
libxml2-2.6.16-3
libxml2-python-2.6.16-3
lockdev-1.0.1-4.1
logrotate-3.7.1-2
lvm2-2.00.25-1.01
m4-1.4.1-16
make-3.80-5
MAKEDEV-3.13-1
man-1.5o1-7
man-pages-1.67-3
mingetty-1.07-3
mkinitrd-4.1.18-2
mktemp-1.5-10
module-init-tools-3.1-0.pre5.3
nano-1.2.4-1
ncurses-5.4-13
net-tools-1.60-37.FC3.1
newt-0.51.6-5
ntsysv-1.3.11.1-1
openldap-2.2.13-2
openssh-3.9p1-8.0.1
openssh-clients-3.9p1-8.0.1
openssh-server-3.9p1-8.0.1
openssl-0.9.7a-42.1
pam-0.77-66.2
parted-1.6.15-5
passwd-0.68-10
pciutils-2.1.99.test8-3
pcre-4.5-3
pdksh-5.2.14-30
perl-5.8.5-12.FC3
perl-Filter-1.30-6
policycoreutils-1.18.1-2.12
popt-1.9.1-21
prelink-0.3.3-0.fc3
procps-3.2.3-5.2
psmisc-21.4-4
python-2.3.4-13.1
rdate-1.4-2
readline-4.3-13
reiserfs-utils-3.6.18-1
rootfiles-8-1
rpm-4.3.2-21
rpm-libs-4.3.2-21
rpm-python-4.3.2-21
sed-4.1.2-4
selinux-policy-targeted-1.17.30-3.9
setarch-1.6-1
setools-1.4.1-5
setup-2.5.36-1
shadow-utils-4.0.3-56
slang-1.4.9-13
sudo-1.6.7p5-30.2
symlinks-1.2-22
sysklogd-1.4.1-26_FC3
SysVinit-2.85-34
tar-1.14-4
tcp_wrappers-7.6-37.2
tcsh-6.13-10.FC3.1
termcap-5.4-3
tmpwatch-2.9.1-1
tzdata-2005f-1.fc3
udev-039-10.FC3.7
unzip-5.51-4
usbutils-0.11-6.1
usermode-1.74-1
utempter-0.5.5-5
util-linux-2.12a-24.2
vim-minimal-6.3.054-0.fc3.1
wget-1.9.1-17
words-3.0-2.3
yum-2.2.1-0.fc3
zip-2.3-26.3
zlib-1.2.1.2-1

Comment 3 Dan Hollis 2005-06-20 09:41:02 UTC
here's a barebones install of FC4 on a 1gb compactflash card.

note that it was quite a PITA to install into 1gb despite the installer claiming
it would only take ~500mb.

acl-2.2.23-8
audit-libs-0.8.2-1
basesystem-8.0-5
bash-3.0-31
beecrypt-4.1.2-8
binutils-2.15.94.0.2.2-2
bzip2-1.0.2-16
bzip2-libs-1.0.2-16
checkpolicy-1.23.1-1
chkconfig-1.3.20-1
comps-4-0.20050606
coreutils-5.2.1-48
cpio-2.6-7
cracklib-2.8.2-1
cracklib-dicts-2.8.2-1
cyrus-sasl-2.1.20-5
cyrus-sasl-md5-2.1.20-5
db4-4.3.27-3
device-mapper-1.01.02-1.0
dhclient-3.0.2-12
dhcpv6_client-0.10-13
diffutils-2.8.1-15
e2fsprogs-1.37-4
elfutils-0.108-1
elfutils-libelf-0.108-1
ethtool-3-1
expat-1.95.8-6
fedora-logos-1.1.31-1
fedora-release-4-2
filesystem-2.3.4-1
findutils-4.2.20-1
gawk-3.1.4-5.2
gdbm-1.8.0-25
gettext-0.14.3-1
glib2-2.6.4-1
glibc-2.3.5-10
glibc-common-2.3.5-10
glibc-headers-2.3.5-10
glibc-kernheaders-2.4-9.1.94
gpg-pubkey-4f2a6fd2-3f9d9d3b
grep-2.5.1-48
grub-0.95-13
gzip-1.3.5-6
hardlink-1.0-1.13
hotplug-2004_09_23-7
hwdata-0.158-1
info-4.8-4
initscripts-8.11.1-1
iproute-2.6.11-1
iptables-1.3.0-2
iptstate-1.4-1.1
iputils-20020927-22
kernel-2.6.11-1.1369_FC4
krb5-libs-1.4-3
ksh-20050202-1
less-382-7
libacl-2.2.23-8
libattr-2.4.16-5
libgcc-4.0.0-8
libselinux-1.23.10-2
libsepol-1.5.9-2
libstdc++-4.0.0-8
libtermcap-2.0.8-41
libuser-0.53.7-1
libxml2-2.6.19-1
libxml2-python-2.6.19-1
lockdev-1.0.1-7
lvm2-2.01.08-2.1
MAKEDEV-3.19-1
mingetty-1.07-5
mkinitrd-4.2.15-1
mktemp-1.5-23
module-init-tools-3.1-3
nano-1.3.5-0.20050302
ncurses-5.4-17
neon-0.24.7-6
net-tools-1.60-52
newt-0.51.6-7
ntsysv-1.3.20-1
openldap-2.2.23-5
openssh-4.0p1-3
openssh-clients-4.0p1-3
openssh-server-4.0p1-3
openssl-0.9.7f-7
pam-0.79-8
passwd-0.69-2
pcre-5.0-4
perl-5.8.6-15
perl-Filter-1.30-7
policycoreutils-1.23.10-2
popt-1.10.1-21
prelink-0.3.4-3
procps-3.2.5-6
psmisc-21.5-4
pyOpenSSL-0.6-1.p24.4
python-2.4.1-2
python-elementtree-1.2.6-4
python-sqlite-1.1.6-1
python-urlgrabber-2.9.6-1
readline-5.0-3
reiserfs-utils-3.6.19-2
rhnlib-1.8-6.p24.1
rootfiles-8.1-1
rpm-4.4.1-21
rpm-libs-4.4.1-21
rpm-python-4.4.1-21
sed-4.1.4-1
selinux-policy-targeted-1.23.16-6
setools-2.1.0-5
setup-2.5.44-1
shadow-utils-4.0.7-9
slang-1.4.9-17
specspo-9.0.92-1.3
sqlite-3.1.2-3
symlinks-1.2-24
sysklogd-1.4.1-30
SysVinit-2.85-39
tar-1.15.1-5
tcl-8.4.9-3
tcp_wrappers-7.6-39
tcsh-6.14-1
termcap-5.4-4
tmpwatch-2.9.3-1
tzdata-2005i-2
udev-058-1
usermode-1.80-1
util-linux-2.12p-9.5
vconfig-1.8-7
wget-1.9.1-22
yum-2.3.2-7
zlib-1.2.2.2-3

this install takes 463712kb and is suitable for eg diskless embedded routers.

the package group could be called "barebones".

Comment 4 Jesse Keating 2006-04-11 21:20:56 UTC
Deselecting every package from the installation screens will give you a system
w/out X (and without yum, and without lftp, and without.....)  You get the
picture.  Adding yet another group is not going to happen.  Kickstart exists for
doing these kinds of installs, or just manually selecting the packages you want.


Note You need to log in before you can comment on or make changes to this bug.